JBoss API: Class JDBCLoadEntityCommand

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.jaws.jdbc
Class JDBCLoadEntityCommand

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.jaws.jdbc.JDBCCommand
            |
            +--org.jboss.ejb.plugins.jaws.jdbc.JDBCQueryCommand
                  |
                  +--org.jboss.ejb.plugins.jaws.jdbc.JDBCLoadEntityCommand

All Implemented Interfaces:
  JPMLoadEntityCommand

Direct Known Subclasses:
  JDBCLoadEntitiesCommand

public class JDBCLoadEntityCommand
extends JDBCQueryCommand
implements JPMLoadEntityCommand

JAWSPersistenceManager JDBCLoadEntityCommand

Version:
  $Revision: 1.11.2.3 $
Author:
  Rickard Öberg, Marc Fleury, Joe Shevland, Justin Forder, Dirk Zimmermann, danch (Dan Christopherson)
See Also:

Fields inherited from class org.jboss.ejb.plugins.jaws.jdbc.JDBCCommand
`debug, factory, jawsEntity, log, name`

Constructor Summary
`JDBCLoadEntityCommand(JDBCCommandFactory factory)`

Method Summary
`protected java.lang.String` | `createSelectClause()`
`void` | `execute(EntityEnterpriseContext ctx)`
`protected java.lang.Object` | `handleResult(java.sql.ResultSet rs, java.lang.Object argOrArgs)` Handles the result of successful execution of the query.
`protected boolean` | `isTimedOut(EntityEnterpriseContext ctx)`
`protected void` | `loadFromPreload(java.lang.Object[] data, EntityEnterpriseContext ctx)`
`protected void` | `loadOneEntity(java.sql.ResultSet rs, EntityEnterpriseContext ctx)`
`protected void` | `setParameters(java.sql.PreparedStatement stmt, java.lang.Object argOrArgs)` Default implementation does nothing.

Methods inherited from class org.jboss.ejb.plugins.jaws.jdbc.JDBCQueryCommand
`executeStatementAndHandleResult`

Methods inherited from class org.jboss.ejb.plugins.jaws.jdbc.JDBCCommand
`getCMPFieldValue, getConnection, getJawsCMPFieldJDBCType, getJDBCType, getJDBCTypeName, getPkColumnList, getPkColumnWhereList, getPkFieldValue, getResultObject, getResultObject, getSQL, getState, isBinaryType, jdbcExecute, setCMPFieldValue, setParameter, setPrimaryKeyParameters, setSQL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCLoadEntityCommand

    public JDBCLoadEntityCommand(JDBCCommandFactory factory)

Method Detail

### createSelectClause

    protected java.lang.String createSelectClause()

### execute

    public void execute(EntityEnterpriseContext ctx)
                 throws java.rmi.RemoteException

  Specified by:
    `execute` in interface `JPMLoadEntityCommand`

### setParameters

    protected void setParameters(java.sql.PreparedStatement stmt,
                                 java.lang.Object argOrArgs)
                          throws java.lang.Exception

  Description copied from class: `JDBCCommand`
  Default implementation does nothing. Override if parameters need to be set.
  Overrides:
    `setParameters` in class `JDBCCommand`
  Following copied from class: `org.jboss.ejb.plugins.jaws.jdbc.JDBCCommand`
  Parameters:
    `stmt` - the PreparedStatement which will be executed by this Command.
    `argOrArgs` - argument or array of arguments passed in from subclass execute method.
  Throws:
    `java.lang.Exception` - if parameter setting fails.

### handleResult

    protected java.lang.Object handleResult(java.sql.ResultSet rs,
                                            java.lang.Object argOrArgs)
                                     throws java.lang.Exception

  Description copied from class: `JDBCQueryCommand`
  Handles the result of successful execution of the query.
  Overrides:
    `handleResult` in class `JDBCQueryCommand`
  Following copied from class: `org.jboss.ejb.plugins.jaws.jdbc.JDBCQueryCommand`
  Parameters:
    `rs` - the result set from the query.
    `argOrArgs` - argument or array of arguments passed in from subclass execute method.
  Returns:
    any result produced by the handling of the result of executing the prepared statement.
  Throws:
    `java.lang.Exception` - if execution or result handling fails.

### loadFromPreload

    protected void loadFromPreload(java.lang.Object[] data,
                                   EntityEnterpriseContext ctx)
                            throws java.lang.Exception

### loadOneEntity

    protected void loadOneEntity(java.sql.ResultSet rs,
                                 EntityEnterpriseContext ctx)
                          throws java.lang.Exception

### isTimedOut

    protected boolean isTimedOut(EntityEnterpriseContext ctx)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.